stl_iterator_base_funcs.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::__detail

## Macros

#define | _GLIBCXX_ITER_MOVE(__it)

## Functions

template<typename _BidirectionalIterator, typename _Distance>
constexpr void | std::__advance (_BidirectionalIterator &__i, _Distance __n, bidirectional_iterator_tag)
template<typename _InputIterator, typename _Distance>
constexpr void | std::__advance (_InputIterator &__i, _Distance __n, input_iterator_tag)
template<typename _OutputIterator, typename _Distance>
void | std::__advance (_OutputIterator &, _Distance, output_iterator_tag)=delete
template<typename _RandomAccessIterator, typename _Distance>
constexpr void | std::__advance (_RandomAccessIterator &__i, _Distance __n, random_access_iterator_tag)
template<typename _Tp>
ptrdiff_t | std::__distance (::_List_const_iterator< _Tp >, ::_List_const_iterator< _Tp >, input_iterator_tag)
template<typename _Tp>
ptrdiff_t | std::__distance (::_List_iterator< _Tp >, ::_List_iterator< _Tp >, input_iterator_tag)
template<typename _InputIterator>
constexpr iterator_traits< _InputIterator >::difference_type | std::__distance (_InputIterator __first, _InputIterator __last, input_iterator_tag)
template<typename _OutputIterator>
void | std::__distance (_OutputIterator, _OutputIterator, output_iterator_tag)=delete
template<typename _RandomAccessIterator>
constexpr iterator_traits< _RandomAccessIterator >::difference_type | std::__distance (_RandomAccessIterator __first, _RandomAccessIterator __last, random_access_iterator_tag)
template<typename _Iter>
consteval auto | std::__iter_concept_or_category ()
template<typename _Iter>
constexpr auto | std::__iter_concept_or_category (const _Iter &)
template<typename _InputIterator, typename _Distance>
constexpr void | std::advance (_InputIterator &__i, _Distance __n)
template<typename _InputIterator>
constexpr iterator_traits< _InputIterator >::difference_type | std::distance (_InputIterator __first, _InputIterator __last)
template<typename _InputIterator>
constexpr _InputIterator | std::next (_InputIterator __x, typename iterator_traits< _InputIterator >::difference_type __n=1)
template<typename _BidirectionalIterator>
constexpr _BidirectionalIterator | std::prev (_BidirectionalIterator __x, typename iterator_traits< _BidirectionalIterator >::difference_type __n=1)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <iterator>.

This file contains all of the general iterator-related utility functions, such as distance() and advance().

Definition in file stl_iterator_base_funcs.h.

## Macro Definition Documentation

## _GLIBCXX_ITER_MOVE

#define _GLIBCXX_ITER_MOVE | ( |  | __it | ) |

Definition at line 370 of file stl_iterator_base_funcs.h.